/*-----------------------------------------------------------
* 文件说明：科威盒子导航系统默认模板内页Js文件（含注释版）
* 修改时间：2010年1月28日21:35:39 By:C021
* 内部版本：10001
* 适用版本：V1.0
* 科威工作室版权所有 (C) All Rights Reserved.
* http://www.kewei8.com/
-----------------------------------------------------------*/
var SearchType = 'baidu'; //定义默认搜索引擎
/*-------------------------
* 函数功能：显示搜索引擎列表
* 函数形参：无
-------------------------*/
function ShowSearchTab()
{
	$('#search_tab').css("visibility","visible");
	return true;
}
/*-------------------------
* 函数功能：关闭搜索引擎列表
* 函数形参：无
-------------------------*/
function HideSearchTab()
{
	$('#search_tab').css("visibility","hidden");
	return true;
}
/*-------------------------
* 函数功能：显示邮箱登录窗口
* 函数形参：无
-------------------------*/
function ShowMailLogin()
{
	$("#mail_con").css('visibility','visible');
	return true;
}
/*-------------------------
* 函数功能：关闭邮箱登录窗口
* 函数形参：无
-------------------------*/
function HideMailLogin()
{
	$("#mail_con").css('visibility','hidden');
	return true;
}
/*-------------------------
* 函数功能：显示热门关键字
* 函数形参：无
-------------------------*/
function ShowTop10()
{
	$('#key_top_10').css('visibility','visible');
	return true;
}
/*-------------------------
* 函数功能：隐藏热门关键字
* 函数形参：无
-------------------------*/
function HideTop10()
{
	$('#key_top_10').css('visibility','hidden');
	return true;
}
/*-------------------------
* 函数功能：显示或隐藏左侧导航栏
* 函数形参：Id(导航栏编号)
-------------------------*/
function ChangeNavAttr(Id)
{
	for(i=1;i<8;++i)
	{
		$('#lnav'+i).hide(0);
	}
	$('#lnav'+Id).show(0);
	return true;
}
/*-------------------------
* 函数功能：显示网址盒子
* 函数形参：Id(分类编号)
-------------------------*/
function ShowSitesBox(Id,Obj)
{
	$('#prefix,#loading').fadeIn(500);
	$('#bos_title').html(Obj.innerHTML);
	$.get("../include/get_sites.php","id="+Id,function(data){$('#sites_box_ul').html(data);});
	$('html').css('overflow-y','hidden');
	$('html').css('overflow-x','hidden');
	$('#loading').fadeOut(0);
	$('#sites_box').css('left',(document.body.clientWidth-1010)/2+90);
	$('#sites_box').fadeIn(500);
}
/*-------------------------
* 函数功能：关闭网址盒子
* 函数形参：无
-------------------------*/
function HideSitesBox(Id)
{
	$('html').css('overflow-y','auto');
	$('html').css('overflow-x','hidden');
	$('#prefix,#sites_box').fadeOut(500);
}
/*-------------------------
* 函数功能：改变搜索引擎
* 函数形参：Id（搜索引擎编号）
-------------------------*/
function ChangeSearchTab(Id,Obj)
{
	SearchType = Id;
	$('#search_name').html($(Obj).html());
	ShowSearchTab();
	switch(Id)
	{
	case 'google':
	  $('#search_form').attr('action','http://www.google.com.hk/search');
	  $('#keywords').attr('name','q');
      break;
	case 'baidu':
	  $('#search_form').attr('action','http://www.baidu.com/s');
	  $('#keywords').attr('name','word');
      break;
	case 'mp3':
	  $('#search_form').attr('action','http://mp3.baidu.com/m');
	  $('#keywords').attr('name','word');
	  $('#cts').attr('value','134217728');
      break;
	case 'images':
	  $('#search_form').attr('action','http://image.baidu.com/i');
	  $('#keywords').attr('name','word');
	  $('#cts').attr('value','201326592');
      break;
	case 'zhidao':
	  $('#search_form').attr('action','http://zhidao.baidu.com/q');
	  $('#keywords').attr('name','word');
	  $('#cts').attr('value','17');
	  $('#tns').attr('value','ikaslist');
      break;
	case 'news':
	  $('#search_form').attr('action','http://news.baidu.com/ns');
	  $('#keywords').attr('name','word');
	  $('#tns').attr('value','news');
      break;
	case 'video':
	  $('#search_form').attr('action','http://video.baidu.com/v');
	  $('#keywords').attr('name','word');
	  $('#cts').attr('value','301989888');
      break;
	case 'tieba':
	  $('#search_form').attr('action','http://tieba.baidu.com/f');
	  $('#keywords').attr('name','kw');
      break;
	}
	return true;
}

/*-------------------------
* 函数功能：写入Cookie
* 函数形参：Name（Cookie名）,Value（Cookie值）,Hours（保存时间）
-------------------------*/
function WriteCookie(name, value, hours)
{
  var expire = "";
  if(hours != null)
  {
    expire = new Date((new Date()).getTime() + hours * 3600000);
    expire = "; expires=" + expire.toGMTString();
  }
  document.cookie = name + "=" + escape(value) + expire;
}
/*-------------------------
* 函数功能：读取Cookie
* 函数形参：Name（Cookie名）
-------------------------*/
function ReadCookie(name)
{
  var cookieValue = "";
  var search = name + "=";
  if(document.cookie.length > 0)
  { 
    offset = document.cookie.indexOf(search);
    if (offset != -1)
    { 
      offset += search.length;
      end = document.cookie.indexOf(";", offset);
      if (end == -1) end = document.cookie.length;
      cookieValue = unescape(document.cookie.substring(offset, end))
    }
  }
  return cookieValue;
}
/*-------------------------
* 函数功能：用户登录
* 函数形参：无
-------------------------*/
function Login(Id)
{
	var username = $("#username").val();
	var password = $("#password").val();
	$("#login_form").animate({opacity:0.5},0);
	$.get("../member/ajax_user.php","type=login&username="+username+"&password="+password,function(data){LoginCallback(data)});
	return true;
}
/*-------------------------
* 函数功能：用户登录回调函数
* 函数形参：Id回调编号
-------------------------*/
function LoginCallback(Id)
{
	switch(Id)
	{
		case '1001':
			alert("用户名不存在。");
		break;
		
		case '1002':
			alert("密码不正确。");
		break;
		
		case '1003':
			var username = $("#username").val();
			$("#wel_user").html(username);
			WriteCookie('LoginId',username,999999);
			$("#login_form").fadeOut(0);
			$("#user_info").fadeIn(500);
		break
	}
	$("#login_form").animate({opacity:1},0);
}

/*-------------------------
* 自动加载
-------------------------*/
$(function(){
  /*-------------------------
  * 搜索引擎列表背景切换
  -------------------------*/
  $.each( $('#search_tab li'),function(){
	$(this).bind('mouseover',function(){$(this).css('background-color','#C1E8F9');});
	$(this).bind('mouseout',function(){$(this).css('background-color','#fff');});
  });
  /*-------------------------
  * 热门关键字背景切换
  -------------------------*/
  $.each( $('#key_top_10 li'),function(){
	$(this).bind('mouseover',function(){$(this).css('background-color','#C1E8F9');});
	$(this).bind('mouseout',function(){$(this).css('background-color','#fff');});
  });
  /*-------------------------
  * 邮箱登录列表背景切换
  -------------------------*/
  $.each( $('#mail_con li'),function(){
	$(this).bind('mouseover',function(){$(this).css('background-color','#C1E8F9');});
	$(this).bind('mouseout',function(){$(this).css('background-color','#fff');});
	$(this).bind('click',function(){ShowMailLogin()});
  });
  /*-------------------------
  * 悬浮层左边距设置
  -------------------------*/
  $('#search_tab').css('left',(document.body.clientWidth-1010)/2+287);
  $('#mail_con').css('left',(document.body.clientWidth-1010)/2+20);
  $('#key_top_10').css('left',(document.body.clientWidth-1010)/2+835);
  $('#sites_box').css('left',(document.body.clientWidth-1010)/2+90);
  $('#loading').css('left',(document.body.clientWidth-1010)/2+480);
  $("#prefix").animate({opacity:0.5},0);
  $("#bottom_bar").animate({opacity:0.9},0);
  $('#sites_box').draggable({opacity:0.7,handle:'#sites_box .title:eq(0)'});	
  /*-------------------------
  * 检测用户登录
  -------------------------*/
  var username = ReadCookie("LoginId");
  if(username)
  {
	$("#wel_user").html(username);
	WriteCookie('LoginId',username,999999);
	$("#login_form").fadeOut(0);
	$("#user_info").fadeIn(100);
  }
});
